Subject: Re: A Mingw32 runtime library independent of MSVCRT.DLL
From: Robert Collins <[email-masked]>
To: Max Bowsher <[email-masked]>
Cc: [email-masked]
Date: 28 Jul 2002 00:00:39 +1000

On Sat, 2002-07-27 at 23:07, Max Bowsher wrote:
> On [email-masked], Robert Collins wrote:
> 
> > Hi, I'm the cygwin setup.exe maintainer.
> ...snip...
> > Patches to link setup.exe
> > with your mingw ACR will be considered like all other patches - I'm not
> > particularly for or against linking into it.
> 
> My argument against:
> 
> Wouldn't this be needless bloat for setup.exe? Why ship setup.exe with a C
> library linked in when there is an acceptable one already present on just about
> every Windows computer? (Unless of course there is a specific bug in msvcrt that
> is troubling setup.exe?)

Thats one of the things to take into consideration when the time comes
to review such a patch. I don't see much point in arguing over something
that doesn't exist.

Rob